Bug 52585 - Commenting "Request Entity" could help translators
Commenting "Request Entity" could help translators
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-25 17:18 EDT by Göran Uddeborg
Modified: 2015-03-04 20:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-23 15:20:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2001-08-25 17:18:29 EDT
During translation of apacheconf, Christian and I started discussing if the
messages

	Request Entity Too Large
	The request cannot be processed because the entity is larger than this
server's capabilities.

in ApacheGizmo.py referred to the size of the request itself or the size of
the object requested.

Having dug into the sources, I've now concluded the message refers to the
request itself, and we will translate consequently.

As an aid to other translators, would it be possible to have a comment for
these messages helping them.  The tool for extracting messages from C/C++
files (xgettext) includes comments on the line immediately preceding the
string to translate in the po file.  (#.-marked)  I don't know what tool is
used to extract messages from Python files, but I guess it has some similar
feature.  So maybe you could use it to include a comment in the po file
saying something like

    This message refers to the size of the HTTP request itself, not what's
requested.

It could simplify for other translators.
Comment 1 Phil Knirsch 2003-11-27 06:24:47 EST
Reassinging to r-c-h and myself.

Read ya, Phil
Comment 2 Bill Nottingham 2006-08-05 00:05:24 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Göran Uddeborg 2006-08-05 13:23:03 EDT
The message looks the same i the po files now (just checked CVS version 1.25 of
apacheconf.pot).
Comment 4 petrosyan 2008-02-13 20:16:19 EST
Fedora Core 5 is not maintained anymore.

If you can reproduce this bug in the current Fedora release, please assign it to
the corresponding Fedora version.
Comment 5 Göran Uddeborg 2008-02-14 14:40:13 EST
At the moment I'm not that involved in the translation of Fedora.  But judging
from
http://translate.fedoraproject.org/POT/system-config-httpd.tip/system-config-httpd.tip.sv.po
the message seems to still be there.  And there still isn't any comment to help
translators translating correctly.  So it seems this enhancement request is
still valid.
Comment 6 Bug Zapper 2008-05-13 21:54:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jon Stanley 2008-05-14 22:16:09 EDT
sorry for the noise- triaged as RFE before rebase ran, and rebase ran with the
same data I was looking at.  So changing this to rawhide again.
Comment 8 Piotr Drąg 2009-11-22 19:11:20 EST
I don't think this is a valid issue anymore. Can it be closed?
Comment 9 Göran Uddeborg 2009-11-23 07:55:43 EST
Well the strings are still there in the current version.  But such a comment is obviously not top priority, and nobody seems to bother fixing it anyway.  So I don't see any point in keeping the issue open forever, no.

Note You need to log in before you can comment on or make changes to this bug.